<?php
/**
 * Configuration entries for connecting to the hub
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0
 * @copyright	Copyright(c) 2007, 2008 Roland Haeder, this is free software
 * @license		GNU GPL 3.0 or any newer version
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

// Get the configuration instance
$cfg = FrameworkConfiguration::getInstance();

// CFG: HUB-LISTEN-ADDR
$cfg->setConfigEntry('hub_listen_addr', "0.0.0.0");

// CFG: HUB-LISTEN-PORT (zero = auto-choose)
$cfg->setConfigEntry('hub_listen_port', 9060);

// CFG: HUB-MAX-AUTH-TRIES
$cfg->setConfigEntry('hub_max_auth_tries', 3);

// CFG: HUB-MSG-AUTH-TRIES
$cfg->setConfigEntry('hub_msg_auth_tries', "AUTH_MAX_TRIES");

// CFG: HUB-MSG-SPOOFING
$cfg->setConfigEntry('hub_msg_spoofing', "SPOOFING");

// CFG: HUB-MSG-AUTH-REPLY
$cfg->setConfigEntry('hub_msg_auth_reply_timeout', "TIMEOUT_AUTH");

// CFG: HUB-MSG-BYE
$cfg->setConfigEntry('hub_msg_bye', "BYE");

// CFG: HUB-MASTER-IP
$cfg->setConfigEntry('hub_master_ip', "192.168.1.17");

// CFG: HUB-MASTER-PORT
$cfg->setConfigEntry('hub_master_port', 9060);

// CFG: HUB-AUTH-REQUEST
$cfg->setConfigEntry('hub_auth_request', "AUTH");

// CFG: HUB-AUTH-REQUEST-TIMEOUT (5 seconds for whole auth procedure shall be fine)
$cfg->setConfigEntry('hub_auth_request_timeout', 5);

// CFG: HUB-PEER-HELLO
$cfg->setConfigEntry('hub_peer_hello', "HELLO");

// CFG: HUB-HELLO-REPLY
$cfg->setConfigEntry('hub_hello_reply', "ELHO");

// CFG: HUB-HELLO-TIMEOUT
$cfg->setConfigEntry('hub_hello_timeout', 30);

// CFG: HUB-HELLO-RETRIES
$cfg->setConfigEntry('hub_hello_retires', 3);

// CFG: HUB-PEER-PING
$cfg->setConfigEntry('hub_peer_ping', "PING");

// CFG: HUB-PING-REPLY
$cfg->setConfigEntry('hub_ping_reply', "PONG");

// CFG: HUB-PING-TIMEOUT
$cfg->setConfigEntry('hub_ping_timeout', 10);

// CFG: HUB-PING-MAXDROPS
$cfg->setConfigEntry('hub_ping_maxdrops', 3);

// CFG: HUB-PEER-MISS-PONG
$cfg->setConfigEntry('hub_peer_miss_pong', "PONG_MISS");

// [EOF]
?>
